Page 1 of 2

Mac: 6.0.1 VSTi problems

Posted: Fri Mar 18, 2011 7:59 am
by Weasel
A1, Monologue, Embracer, CS40, Universal Sound Module, Groove Agent X, WAVE PPG and Attack all disappear with this build. I could care less about CS40, GAX and USM. But I'm pretty ticked about losing the others. These all worked in 6.0.

All the usual remedies were tried....trashing blacklists, rescanning and updating from the Plug-Ins Information panel. No go. And here's another little gem brought on by this build: The entire Korg plug-in suite and Plogue's Bidule will create a second "Cubase" menu item up top. I don't know about the rest of you but when launching a plug-in somehow works its way into the host program's top level menuing structure, someone over in Hamburg ought to be concerned. See for yourselves:

Re: Mac: 6.0.1 VSTi problems

Posted: Fri Mar 18, 2011 8:09 am
by curteye
Bummer W,
Thanks for the warning.
{'-'}

Re: Mac: 6.0.1 VSTi problems

Posted: Fri Mar 18, 2011 8:13 am
by Weasel
That's why they call 'em betas.

On the other hand, there are a nice bunch of fixes in this.

Re: Mac: 6.0.1 VSTi problems

Posted: Fri Mar 18, 2011 12:19 pm
by vic_france
Hi Weasel,
Weasel wrote:A1, Monologue, Embracer, CS40, Universal Sound Module, Groove Agent X, WAVE PPG and Attack all disappear with this build. ..These all worked in 6.0.
For me, Monologue, Embracer and the Waldorf Suite (v1.2.2?) are still working :?, but yes, I too will miss good ol' A1 if it is really gone for good. (Also, I no longer see the old Plugsound VSTis). They are still there in the menus, but simply don't launch.
Did you try trashing, not only the Vst2xBlacklist Cubase.xml, but also Vst2xPluginsCubase.xml and VstPlugInfo.xml?
The entire Korg plug-in suite and Plogue's Bidule will create a second "Cubase" menu item up top.
Yes, that's happening here too.

Re: Mac: 6.0.1 VSTi problems

Posted: Fri Mar 18, 2011 6:21 pm
by Weasel
Did you try trashing, not only the Vst2xBlacklist Cubase.xml, but also Vst2xPluginsCubase.xml and VstPlugInfo.xml?
Just the blacklist. I'll try dumping Vst2xPluginsCubase.xml and VstPlugInfo.xml this evening and get back to you.

As to the "Double Cubase in the Menu" thing....of note: it doesn't seem to do anything adverse to the performance of Cubase. The left-most does nothing while the right-most will open the proper menu.

It can't be cleared by by deactivating the plug-in that set it off nor quitting the Project and opening a new one. Only a complete relaunch of Cubase clears it.

Re: Mac: 6.0.1 VSTi problems

Posted: Fri Mar 18, 2011 10:25 pm
by Guest
The entire Korg plug-in suite and Plogue's Bidule will create a second "Cubase" menu item up top.
Yes, that's happening here too.
+1 ( it happend with 6.00 too)

L

Re: Mac: 6.0.1 VSTi problems

Posted: Sat Mar 19, 2011 12:54 am
by curteye
I'm scared now after reading thru this thread.

I was all set to pounce but now I believe I will wait a lil while longer.
{'-'}

Re: Mac: 6.0.1 VSTi problems

Posted: Sat Mar 19, 2011 1:01 am
by vic_france
Unless those few non-opening VSTis are a deal-breaker for you, don't let that put you off getting Cubase 6.. it is really lovely to work with (for the mostpart ;) )
And, of course, that doesn't prevent you from keeping Cubase 5 on the same machine ;).

Re: Mac: 6.0.1 VSTi problems

Posted: Sat Mar 19, 2011 4:55 am
by Weasel
I was all set to pounce but now I believe I will wait a lil while longer.
Other than the missing ancients mentioned above....and the oddness of the Korg-induced CubaseCubase....there's no major reason not to install C6 (if you already have or about to buy it). There are some really very nice bits in it that go beyond what C5 is capable of...and with this beta update, most of the showstoppers are gone.

OK...that said...
Vic? What an incredible waste of time that little exercise was (which is why I skipped dumping the other prefs beyond the Blacklist in the first place). I did this across all three* of my Macs and I get the exact same results as listed above.

Of note...the included (and still) "un-iconed/packaged" Monologue and Embracer plugs did not show up. Dumped 'em and put in copies from a C5 install. Those work.

* There is a new 2.66 MacPro Dual6core with C6 on one of the drives not listed in my profile. It is not used in the recording studio.

Re: Mac: 6.0.1 VSTi problems

Posted: Sat Mar 19, 2011 10:45 am
by vic_france
Weasel wrote:Of note...the included (and still) "un-iconed/packaged" Monologue and Embracer plugs did not show up. Dumped 'em and put in copies from a C5 install. Those work.
(apologies.. in a really hurry at the moment).. am I reading you correctly?.. You trashed Monologue.vst and Embracer.vst from the Package Contents of Cubase 6, and replaced them with copies of the ones from the Package Contents of Cubase 5, and that worked? I've just had a look, and, here, they are exactly the same versions of those plugins in both apps (and they have the correct vst icon) :? Anyways, that still doesn't give a clue as to why the missing Waldorf plugins.

Re: Mac: 6.0.1 VSTi problems

Posted: Sat Mar 19, 2011 12:15 pm
by curteye
Not to hi-jack this thread Weasel but since we are talking about plugs that may not work after this latest up-date. One plug in particular which I use quite often,

I use the Embracer plug in quite a few situations.

I find that with some music it can act as a sort of musical 'MSG'.
You don't really know it is there, but if you take it out,
feels like something is missing.

To my ears, nothing sounds quite like it.
But as Cubase advances, it is getting more and more problematic to use.

So I am looking for a replacement.

Omnisphere can do the same function but I am
looking for something much cheaper.

Can anyone recommend an alternative to 'Embracer'?

MAJOR TIA
{'-'}

Re: Mac: 6.0.1 VSTi problems

Posted: Sat Mar 19, 2011 1:09 pm
by Centralmusic
Weasel wrote:...will create a second "Cubase" menu item up top.
this is the stereo version.

Re: Mac: 6.0.1 VSTi problems

Posted: Sat Mar 19, 2011 1:20 pm
by Centralmusic
Remark: pre-release (!) approach when anybody can decide whether to go this way or wait for official patch later.

Re: Mac: 6.0.1 VSTi problems

Posted: Sat Mar 19, 2011 4:15 pm
by vic_france
Centralmusic wrote:
Weasel wrote:...will create a second "Cubase" menu item up top.
this is the stereo version.
:lol:
In fact, Martin Scorsese used the same software on a film that he intended naming, simply, "New York".

Re: Mac: 6.0.1 VSTi problems

Posted: Sat Mar 19, 2011 4:20 pm
by -steve-
:lol:

Re: Mac: 6.0.1 VSTi problems

Posted: Sat Mar 19, 2011 5:11 pm
by Centralmusic
;-)

Re: Mac: 6.0.1 VSTi problems

Posted: Sat Mar 19, 2011 7:04 pm
by billum
Can anyone recommend an alternative to 'Embracer'?
Hi Curteye,

Many alternatives to Embracer out there, although the Surround-ness and nifty 'eye' control (a favourite of yours, by any chance? ;) ). As you say, Omnisphere is really the daddy of them all, but have you tried out Mystic & Spector, which do some very nice pads, and you already have them! Further afield FM8 & Massive do good pads as well as lots else; from the same stable you could try Absynth and Reaktor (the latter has loads of useful new synth engines coming along all the time - very funky & abstract); and Tassman4 can make some very interesting noises too.

There's loads else out there too - you should just get you a load of demos and have some fun, but don't overlook the other synths that Cubase has already, as there's some real gold-dust in them thar VSTi's.

Re: Mac: 6.0.1 VSTi problems

Posted: Sat Mar 19, 2011 10:15 pm
by curteye
Aloha b, and thank you.
nifty 'eye' control (a favourite of yours, by any chance?)

Wow! Ya got me. Soooo True.
have you tried out Mystic & Spector, which do some very nice pads, and you already have them!
To be truthfulI I really have not. I have not even read the blurb in the 'Plug-in info' pdf.
This will be my project this weekend.
Tassman4 can make some very interesting noises too.
Googling now.
Much Mahalo b
{'-'}

Re: Mac: 6.0.1 VSTi problems

Posted: Sun Mar 20, 2011 9:37 am
by NYC Composer
curteye wrote:Aloha b, and thank you.
nifty 'eye' control (a favourite of yours, by any chance?)

Wow! Ya got me. Soooo True.
have you tried out Mystic & Spector, which do some very nice pads, and you already have them!
To be truthfulI I really have not. I have not even read the blurb in the 'Plug-in info' pdf.
This will be my project this weekend.
Tassman4 can make some very interesting noises too.
Googling now.
Much Mahalo b
{'-'}
Curt-save your spare change for a while and get Omni. It really is the solution to, well...pretty much every synth need.

Re: Mac: 6.0.1 VSTi problems

Posted: Sun Mar 20, 2011 10:33 am
by Weasel
Just to touch base with the original premise of this thread....if Embracer and Monologue have disappeared...try what I did. Go hunt through the C5 Installer disk and replace the C6 versions with those.

Re: Mac: 6.0.1 VSTi problems

Posted: Sun Mar 20, 2011 12:05 pm
by ChrisW
Interesting - I've noticed that Embracer and Monologue are still listed on the Steinberg site as instruments included with Cubase 6, but they've gone missing for me as well. I'll dig out my C5 discs.

Re: Mac: 6.0.1 VSTi problems

Posted: Sun Mar 20, 2011 12:12 pm
by ChrisW
Just noticed that they're both present in the VSTplugins/synth folder of the Cubase 6.app, but this folder isn't showing in the Plug-in Information list. :?

Re: Mac: 6.0.1 VSTi problems

Posted: Tue Jul 12, 2011 9:12 pm
by Jim Beam
No word from Steinberg on this subject yet?
Just got a copy of Cubase 6 and I encounter the same missing plugins, even being both present on the folder inside the app.

Edit: 6.0.2 btw.

Re: Mac: 6.0.1 VSTi problems

Posted: Fri Jul 15, 2011 6:48 am
by cybiont
You need to get the VSTBridge re-installed. That is done with the help of Rosetta.
I had the same problem. Embrace and Monologue disappeared. Reinstalled Cubase 6 and when trying to open Embrace and window came up and asked me to install the VST bridge. Clicked OK. All working now


I am using OSX 10.6.7

Re: Mac: 6.0.1 VSTi problems

Posted: Fri Jul 15, 2011 6:54 am
by Jim Beam
cybiont wrote:You need to get the VSTBridge re-installed. That is done with the help of Rosetta.
I had the same problem. Embrace and Monologue disappeared. Reinstalled Cubase 6 and when trying to open Embrace and window came up and asked me to install the VST bridge. Clicked OK. All working now


I am using OSX 10.6.7
Hey thanks for the tip!
It's a shame thereĀ“s no Rosetta on 10.7 any more, it seems we will lose them any way :(